Grants, vesting & distributions
Create New Anchorage Grant Wallet
Creates an Anchorage vault wallet for a grant via Anchorage API, stores GrantWallet and custody allocation.
POSThttps://api.toku.com/tga/create-new-anchorage-grant-wallet
Not available to API keys yet. It will need wallets:write.
curl --request POST \
--url 'https://api.toku.com/tga/create-new-anchorage-grant-wallet' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"grantID": "string",
"walletName": "string"
}'200 response
{
"success": true,
"grantWallet": {
"grantWalletID": "string",
"grantID": "string",
"roleInOrgID": "string",
"type": "string",
"address": "string",
"networkID": "string",
"walletLink": "string",
"allocation": "string"
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
grantIDstringrequiredwalletNamestringrequiredResponse
200Successful response
successbooleanrequiredgrantWalletobject | nullrequiredShow child attributes
grantWalletIDstringrequiredgrantIDstringrequiredroleInOrgIDstringrequiredtypestringrequiredaddressstringrequirednetworkIDstringrequiredwalletLinkstring | nullrequiredallocationstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits